MINOVA DEMO - Feature #3667

Fungsi Mengecek Tabel Data Mirror dan Tabel Data HR
06/12/2025 04:10 PM - haykal haykal

Status: Assigned Start date: 06/12/2025
Priority: High Due date: 06/18/2025
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mbak Yomma,

Telah dibuatkan tabel baru (tabel data mirror) yaitu CHRPAMIRROR. Itu adalah tabel HR mirror untk integrasi dari aplikasi lain.
Minta tolong dibuatkan fungsi Mbak. Jadi fungsinya itu mengecek tabel terlebih dahulu. Kalau di tabel mirror ada ExternallD, tapi di
tabel HR (tabel HR standar produk) tidak ada ExternallD tersebut; maka dibuatkan Generate EmployeelD di tabel HR dan insert

data.

Kalau di tabel mirror ada ExternallD A dan di tabel HR juga sudah ada ExternallD A, maka data yg di tabel HR diupdate berdasarkan
data yg ada di tabel mirror.

Kalau ada yang salah atau kurang boleh tlg dikoreksi/ditambahkan ya Bu Kezia...
Terimakasih.

Port: https://demo.minovais.com/
DB: MinovaES_Demo (103.153.60.89)

History

#1 - 06/12/2025 04:39 PM - Kezia Pawitra Yulianti
- Due date set to 06/18/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

Tolong di infoin jg tabel2 apa aja yg terkait dan harus di cek untuk kebutuhan generate dan update tsb.
Tks

#2 - 06/12/2025 04:40 PM - Kezia Pawitra Yulianti
- Assignee changed from Tri Rizqiaty to haykal haykal

#3 - 06/12/2025 05:44 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

Tabel mirror: CHRPAMIRROR
Tabel HR:
PHRPA0001

PHRPA0002
PHRPA0003
